package com.engine.recruit.service;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/10/09
 * @version: 1.0
 */
public interface RecruitPositionService {

    /**
     * 更新职位信息
     *
     * @param param
     * @return
     */
    Map<String, Object> updatePostInfo(Map<String, Object> param);

    /**
     * 获取表单字段
     *
     * @param param
     * @return
     */
    Map<String, Object> getFormCondition(Map<String, Object> param);

    /**
     * 发布职位
     *
     * @param param
     * @return
     */
    Map<String, Object> releaseResumeJob(Map<String, Object> param);

    /**
     * 保存并发布职位
     *
     * @param param
     * @return
     */
    Map<String, Object> saveAndReleaseResumeJob(Map<String, Object> param);

    /**
     * 下架职位
     *
     * @param param
     * @return
     */
    Map<String, Object> closeResumeJob(Map<String, Object> param);

    /**
     * 刷新职位
     *
     * @param param
     * @return
     */
    Map<String, Object> refreshResumeJob(Map<String, Object> param);

    /**
     * 获取发布状态
     *
     * @param param
     * @return
     */
    Map<String, Object> getReportList(Map<String, Object> param);

    /**
     * 阶段提醒配置
     *
     * @param param
     * @return
     */
    Map<String, Object> setStepMsgConfig(Map<String, Object> param);

}
